Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jde.debugger
Class LispForm

    java.lang.Object
      |
      +--jde.debugger.LispForm

public class LispForm
extends java.lang.Object

LispForm.java

A wrapper on a string, used to differentiate a normal string and a string that's actually a lisp form

Created: Fri Jul 30 11:00:29 1999

Since:
  0.1

Field Summary
`private java.lang.String` | `str`

Constructor Summary
`LispForm()`
`LispForm(java.lang.String str)`

Method Summary
`void` | `cat(java.lang.String str)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### str

    private java.lang.String str

Constructor Detail

### LispForm

    public LispForm()

### LispForm

    public LispForm(java.lang.String str)

Method Detail

### cat

    public void cat(java.lang.String str)

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD